View Single Post
  #6  
Old 08-02-2019, 07:23 AM
bgagnon bgagnon is offline
VanDyke Technical Support
 
Join Date: Oct 2008
Posts: 3,997
Hi dverbern,

I would say contact support@vandyke.com directly. We would want to check the OS to determine what version you can install, etc.

All our products are designed to upgrade in-place, over the top, but you will likely want to backup the config first and we can provide some guidance to that.

But, it does not hurt to have a link to some resources here:

Exporting and Importing the VShell for Windows Configuration

Upgrading VShell for Windows

Moving VShell for Windows to a Different Server

And also list a few bullet points of changes in each version:

*Security enhancements
Version 4.1:
  • SFTP trigger action
  • User group support for internal database
  • Support for ECDSA host keys*
  • Support for ECDH key-exchange algorithms*

Version 4.2:
  • VShellConfig in control panel
  • X.509 support per RFC 6187
  • FTPS client certificate authentication
  • Ability to generate 4096 bit key size*

Version 4.3:
  • LDAP support
  • Support for chacha20-poly1305@openssh.com authenticated encryption cipher*
  • Windows Server 2016 support

Version 4.4:
  • HTTP/HTTPS support (requires licenses at an additional cost)
  • Allow/deny certain SFTP commands (ie: RMDIR, REMOVE, RENAME, etc.)
  • SFTP virtual roots
  • Unix: Internal User Database support
  • Added support for the SHA2-512-EtM and SHA2-256-EtM MAC algorithms*
__________________
Thanks,
--Brenda

VanDyke Software
Technical Support
support@vandyke.com
(505) 332-5730
Reply With Quote